Bug 1129705 - ORA-02289: sequence does not exist is throw to server.log after upgrade from jon3.2.2 to jon3.3.dr01
Summary: ORA-02289: sequence does not exist is throw to server.log after upgrade from ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Upgrade
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ER01
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On: 1095970
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 13:53 UTC by Filip Brychta
Modified: 2014-12-11 14:03 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:03:32 UTC
Type: Bug


Attachments (Terms of Use)
server.log (46.96 KB, text/x-log)
2014-08-13 13:53 UTC, Filip Brychta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1128780 None None None Never
Red Hat Bugzilla 1129729 None None None Never

Internal Links: 1128780 1129729

Description Filip Brychta 2014-08-13 13:53:53 UTC
Created attachment 926447 [details]
server.log

Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version :	
3.3.0.DR01
Build Number :	
6468454:dda0a47

How reproducible:
2/2

Steps to Reproduce:
1. jon3.2.2 is running using oracle db
2. upgrade JON to version 3.3.DR01:
  a. stop jon3.2.0.GA (rhqctl stop)
  b. unzip jon-server-3.3.0.DR01.zip
  c. unzip plugins and copy jars to jon-server-3.3.0.DR01/plugins/ (might not be necessary)
  d. edit rhq-server.properties and set rhq.autoinstall.server.admin.password to workaround bz 1128151 (this can be any string)
  e. run upgrade (./rhqctl upgrade --from-server-dir /home/hudson/jon-server-3.2.0.GA/ --from-agent-dir /home/hudson/rhq-agent)
3. start JON (rhqctl start)

Actual results:
ORA-02289: sequence does not exist is thrown to server.log

Expected results:
No errors

Additional info:
Full exception attached

Comment 1 Heiko W. Rupp 2014-08-14 13:18:00 UTC
Marking this as triaged, as the issues prevents updating any JON version earlier than 3.3 to 3.3

Comment 2 Michael Burman 2014-08-14 16:03:38 UTC
Fixed in master:

commit c7d22c367a373dfd51485b13c814565bb0818287
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Aug 14 19:01:34 2014 +0300

    [BZ 1095970] Reapplying patch to fix incorrect sequence name

Comment 3 Simeon Pinder 2014-08-19 23:50:24 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 4 Filip Brychta 2014-08-26 09:40:47 UTC
Verified on
Version :	
3.3.0.ER01.1
Build Number :	
9941660:f3aa7e7


Note You need to log in before you can comment on or make changes to this bug.